#pragma once

#include <string_view>

class Connection;

auto send_ping(Connection&, std::string_view) -> void;
auto send_pong(Connection&, std::string_view) -> void;
auto send_pass(Connection&, std::string_view) -> void;
auto send_user(Connection&, std::string_view, std::string_view) -> void;
auto send_nick(Connection&, std::string_view) -> void;
auto send_cap_ls(Connection&) -> void;
auto send_cap_end(Connection&) -> void;
auto send_cap_req(Connection&, std::string_view) -> void;
auto send_privmsg(Connection&, std::string_view, std::string_view) -> void;
auto send_notice(Connection&, std::string_view, std::string_view) -> void;
auto send_authenticate(Connection& connection, std::string_view message) -> void;
