#pragma once

#include <string>
#include <istream>

struct Settings
{
    std::string host;
    std::string service;
    std::string password;
    std::string username;
    std::string realname;
    std::string nickname;

    static auto from_stream(std::istream & in) -> Settings;
};

